using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using ReAct_PME.Domain;


namespace ReAct_PME.Infrastructure.Persistence.Configurations
{
    public partial class DT_CONVERSATION_LIGNEConfiguration : IEntityTypeConfiguration<DT_CONVERSATION_LIGNE>
    {
		public void Configure(EntityTypeBuilder<DT_CONVERSATION_LIGNE> builder)
		{
			builder.ToTable("DT_CONVERSATION_LIGNE"); // Nom de la table dans SQL Server
			builder.HasKey(c => c.ID_CONVERSATION_LIGNE);    // Clé primaire
			builder.Property(c => c.ID_CONVERSATION_LIGNE)
				.HasColumnName("ID_CONVERSATION_LIGNE")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.ID_CONVERSATION)
				.HasColumnName("ID_CONVERSATION")
				.HasColumnType("Guid")
				.IsRequired()
				;
			builder.Property(c => c.DATE)
				.HasColumnName("DATE")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.QUESTION)
				.HasColumnName("QUESTION")
				.HasColumnType("string")
				.IsRequired()
				;
			builder.Property(c => c.REPONSE)
				.HasColumnName("REPONSE")
				.HasColumnType("string")
				.IsRequired()
				;
			builder.Property(c => c.MODELE)
				.HasColumnName("MODELE")
				.HasColumnType("string")
				.IsRequired()
				.HasMaxLength(255)
				;
			builder.Property(c => c.SystemDateCreated)
				.HasColumnName("SystemDateCreated")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.SystemDateUpdated)
				.HasColumnName("SystemDateUpdated")
				.HasColumnType("DateTime")
				.IsRequired()
				;
			builder.Property(c => c.IsEnabled)
                .HasColumnName("IsEnabled")
				.HasColumnType("bool")
				.IsRequired()
				;
            builder.Property(c => c.DomainRAG)
				.HasColumnName("DomainRAG")
				.HasColumnType("string")
				;
        }



    }
}
